/*
 * _____________________________________________________________________________
 * 
 * INAF - OATS National Institute for Astrophysics - Astronomical Observatory of
 * Trieste INAF - IA2 Italian Center for Astronomical Archives
 * _____________________________________________________________________________
 * 
 * Copyright (C) 2017 Istituto Nazionale di Astrofisica
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License Version 3 as published by the
 * Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */
package it.inaf.ia2.tsm.model;

import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;

/**
 *
 * @author Sonia Zorba {@literal <zorba at oats.inaf.it>}
 */
public class TapSchemaModel implements Serializable {

    private static final long serialVersionUID = 1087876778125446000L;

    private final Map<String, TableModel> tables;
    private String version;
    private String description;

    private TapSchemaModel() {
        tables = new HashMap<>();
    }

    public TapSchemaModel(String version, String description) {
        this();
        this.version = version;
        this.description = description;
    }

    public String getVersion() {
        return version;
    }

    public String getDescription() {
        return description;
    }

    public Map<String, TableModel> getTables() {
        return tables;
    }

    public TableModel get(String tableName) {
        return tables.get(tableName);
    }
}
